Bug 1290174 - in the rendering of the details of a service hosted on vcenter, a ui only worker tries to connect to vcenter
in the rendering of the details of a service hosted on vcenter, a ui only wor...
Status: CLOSED NEXTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
5.4.0
All All
high Severity high
: GA
: 5.5.5
Assigned To: Lucy Fu
Dave Johnson
: ZStream
Depends On: 1272166
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 14:47 EST by John Prause
Modified: 2016-07-19 13:10 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1272166
Environment:
Last Closed: 2016-05-12 11:31:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1993783 None None None Never

  None (edit)
Comment 2 Greg McCullough 2016-02-11 13:35:25 EST
There is currently an RFE (Bug 1053277) for adding support for distributed switches.  Once this support is added to the DB the provisioning dialog workflow can be updated to use it instead of making direct calls.
Comment 3 Greg McCullough 2016-03-11 11:42:00 EST
Lucy - Once distributed switches are in the database (https://trello.com/c/3wjqBQuw) the provisioning code will need to be modified to read the information from there which will resolve this issue.
Comment 5 CFME Bot 2016-04-01 09:10:40 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b839641da9ca01ac9c00c24397a2b71bad3db41b

commit b839641da9ca01ac9c00c24397a2b71bad3db41b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Mar 29 17:58:05 2016 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Fri Apr 1 08:05:10 2016 -0400

    Move VMware specific methods for dvSwitch into its own file.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1290174

 .../vmware/infra_manager/provision_workflow.rb     | 70 ++++++++++++++++
 app/models/miq_provision_virt_workflow.rb          | 92 ++++------------------
 .../infra_manager/provision_workflow_spec.rb       | 91 +++++++++++++++++++++
 spec/models/miq_provision_virt_workflow_spec.rb    | 54 -------------
 4 files changed, 175 insertions(+), 132 deletions(-)
Comment 8 Greg McCullough 2016-05-12 11:31:57 EDT
This fix is provided in PR https://github.com/ManageIQ/manageiq/pull/8434.

It cannot be back-ported as it requires database schema changes.  The fix will be available in 5.6.

Note You need to log in before you can comment on or make changes to this bug.